/*****************************************************************************
*
* Motorola Inc.
* (c) Copyright 2002 Motorola, Inc.
* ALL RIGHTS RESERVED.
*
******************************************************************************
*
* File Name: version.h
*
* Description: Defines the version constants for conditional compilation
*
* Modules Included:
*
*****************************************************************************/

#ifndef __VERSION_H
#define __VERSION_H

/*****************************************************************************
           RELEASE LIST - HISTORY

release       symbol                                           value
------------------------------------------------------------------------------
0.Beta        DSP56800_QUICK_START_VERSION_0_BETA              0x0000
1.0           DSP56800_QUICK_START_VERSION_1_0                 0x0100

*****************************************************************************/


#define VERSION_MAKE(major,minor) ((major)<<8 | (minor))
#define VERSION_MAJOR(ver) ((ver)>>8)
#define VERSION_MINOR(ver) ((ver)&0xff)

#define DSP56800_QUICK_START_VERSION 		VERSION_MAKE(1,0)
#define DSP56800_QUICK_START_MINOR_VERSION	VERSION_MINOR(DSP56800_QUICK_START_VERSION)
#define DSP56800_QUICK_START_MAJOR_VERSION	VERSION_MAJOR(DSP56800_QUICK_START_VERSION)


#define DSP56800_QUICK_START_VERSION_1_0

#endif /* __VERSION_H */
