#define key_in  PINA
#define row1   PORTC.7
#define row2   PORTC.6 
#define kenter  0x200
#define kstop   0x200  //stop a enter je to iste tlacitko
#define kharm   0x02
#define kdisp   0x80
#define kup     0x04
#define kdown   0x800
#define kleft   0x08
#define kright  0x400
#define kmenu   0x4000
#define krang   0x40
#define kesc    0x01
#define kdel    0x80
#define kshift  0x100
#define kf      0x8000
#define kmax    0x1000
#define kavg    0x2000
#define kpow    0x10
#define krms    0x20

#define kontrast   OCR1AL
#define light    OCR1BL 
#define OK 0x55            

// znak fi
flash unsigned char char1[8]={
0b00000, 
0b00010,
0b10101,
0b10101,
0b01110,
0b00100,
0b00100,
0b00000};

// znak OMEGA
// flash unsigned char char2[8]={
// 0b00000, 
// 0b01110,
// 0b10001,
// 0b10001,
// 0b01010,
// 0b11011,
// 0b00000,
// 0b00000};   

//Znak sipka doprava
flash unsigned char char3[8]={
0b00000, 
0b00000,
0b00100,
0b00010,
0b11111,
0b00010,
0b00100,
0b00000};

//Znak I s ciarkov hore
flash unsigned char char4[8]={
0b11111, 
0b00000,
0b01110,
0b00100,
0b00100,
0b00100,
0b01110,
0b00000}; 

//Znak U s ciarkov hore
flash unsigned char char5[8]={
0b11111, 
0b00000,
0b10001,
0b10001,
0b10001,
0b10001,
0b01110,
0b00000};  

//Znak c s ciarkov hore
flash unsigned char char6[8]={
0b11111, 
0b00000,
0b01110,
0b10000,
0b10000,
0b10001,
0b01110,
0b00000};
 
flash char velic_text[6][4][4]= //[zob][x(velicina)][y(faza)]
{
 {
  {'I','I','I', 4 },
  {'U','U','U', 5 },
  {'P','P','P','P'},
  {'c','c','c', 6 }
 },
 {
  {'P','P','P','P'},
  {'S','S','S','S'},
  {'Q','Q','Q','Q'},
  {'D','D','D','D'}
 },
 {
  {'I','I','I', 4 },
  {'I','I','I', 4 },
  {'U','U','U', 5 },
  {'U','U','U', 5 }
 },
 {
  {'I','I','I', 4 },
  {'I','I','I', 4 },
  {'U','U','U', 5 },
  {'U','U','U', 5 }
 }  
 ,
 {
  {'I','I','I', 4 },
  {'I','I','I', 4 },
  {'U','U','U', 5 },
  {'U','U','U', 5 }
 },
 {
  {'P','P','P','P'},
  {'S','S','S','S'},
  {'Q','Q','Q','Q'},
  {'c','c','c','c'}
 } 
};



flash char rozsahy_text[2][5][6]={
{
{'8','5','0','V',' ',0},
{'4','0','0','V',' ',0},
{'2','0','0','V',' ',0},
{' ','4','0','V',' ',0},
{'A','u','t','o',' ',0}
},
{
{'6','0','A',' ',' ',0},
{'2','0','A',' ',' ',0},
{'9','A',' ',' ',' ',0},
{'2','A',' ',' ',' ',0},
{'A','u','t','o',' ',0}
}
};  
flash float exponenty[2][5]=
{
{
123.27,40.46,18.456,4.04,1.0  //pre prudy
},
{
1703.761,806.4871,440.2705,80.89366,1.0 //pre napatia
}
};  
flash char text[6][4][41]={
{
{'I','=','I','r','m','s','1','[','A',']',' ','U','=','U',
'r','m','s','1','[','V',']',' ','P','=','P','1','[','W',
']',' ','c','=','c','o','s',1,'1','[','-',']',0},
{'I','=','I','r','m','s','2','[','A',']',' ','U','=','U',
'r','m','s','2','[','V',']',' ','P','=','P','2','[','W',']',
' ','c','=','c','o','s',1,'2','[','-',']',0},
{'I','=','I','r','m','s','3','[','A',']',' ','U','=','U',
'r','m','s','3','[','V',']',' ','P','=','P','3','[','W',']',
' ','c','=','c','o','s',1,'3','[','-',']',0},
{4,'=','I','r','m','s',' ','[','A',']',' ', 5 ,'=','U',
'r','m','s',' ','[','V',']',' ','P','=',0xf6,'P','[','W',']',
' ',6,'=','c','o','s',1,' ','[','-',']',0}
},
{
{"P=P1[W]  S=S1[VA]  Q=Q1[VAr]  D=D1[VAd] "},
{"P=P2[W]  S=S2[VA]  Q=Q2[VAr]  D=D2[VAd] "},
{"P=P3[W]  S=S3[VA]  Q=Q3[VAr]  D=D3[VAd] "},
{'P','=',0xf6,'P','[','W',']',' ',' ','S','=',0xf6,'S','[','V',
'A',']',' ',' ','Q','=',0xf6,'Q','[','V','A','r',']',' ',' ',
'D','=',0xf6,'D','[','V','A','d',']',' ',0}
},
{
{"I=Imax1[A]I=Imin1[A]U=Umax1[V]U=Umin1[V]"},
{"I=Imax2[A]I=Imin2[A]U=Umax2[V]U=Umin2[V]"},
{"I=Imax3[A]I=Imin3[A]U=Umax3[V]U=Umin3[V]"},
{4,'=','I','m','a','x','[','A',']',' ', 4 ,'=','I',
'm','i','n','[','A',']',' ',5,'=','U','m','a','x',
'[','V',']',' ',5,'=','U','m','i','n','[','V',']',' ',0}
},
{
{"I=Iavg1[A]I=Iavr1[A]U=Uavg1[V]U=Uavr1[V]"},
{"I=Iavg2[A]I=Iavr2[A]U=Uavg2[V]U=Uavr2[V]"},
{"I=Iavg3[A]I=Iavr3[A]U=Uavg3[V]U=Uavr3[V]"},
{4,'=','I','a','v','g','[','A',']',' ', 4 ,'=','I',
'a','v','r','[','A',']',' ',5,'=','U','a','v','g',
'[','V',']',' ',5,'=','U','a','v','r','[','V',']',' ',0}
},
{
{"I=Imax1[A]I=Irms1[A]U=Umax1[V]U=Urms1[V]"},
{"I=Imax2[A]I=Irms2[A]U=Umax2[V]U=Urms2[V]"},
{"I=Imax3[A]I=Irms3[A]U=Umax3[V]U=Urms3[V]"},
{4,'=','I','m','a','x','[','A',']',' ', 4 ,'=','I',
'r','m','s','[','A',']',' ',5,'=','U','m','a','x',
'[','V',']',' ',5,'=','U','r','m','s','[','V',']',' ',0}
},
{
{'P','=','P','1','[','W',']',' ',' ','S','=','S','1','[',
'V','A',']',' ',' ','Q','=','Q','1','[','V','Q','r',']',
' ',' ','c','=','c','o','s',1,'1','[','-',']',0}, 
{'P','=','P','2','[','W',']',' ',' ','S','=','S','2','[',
'V','A',']',' ',' ','Q','=','Q','2','[','V','Q','r',']',
' ',' ','c','=','c','o','s',1,'2','[','-',']',0},
{'P','=','P','3','[','W',']',' ',' ','S','=','S','3','[',
'V','A',']',' ',' ','Q','=','Q','3','[','V','Q','r',']',
' ',' ','c','=','c','o','s',1,'3','[','-',']',0},
{'P','=',0xf6,'P','[','W',']',' ',' ','S','=',0xf6,'S','[','V',
'A',']',' ',' ','Q','=',0xf6,'Q','[','V','A','r',']',' ',' ',
6,'=','c','o','s',1,' ','[','-',']',0}
}

}; 

flash char status_text[2][5]={"STOP","RUN "};
flash char status_harm_text[2][5]={"Hoff","H on"};
